import { UmbLitElement } from '../../core/lit-element/index.js';
import './health-check-group-box-overview.element.js';
export declare class UmbDashboardHealthCheckOverviewElement extends UmbLitElement {
    private _buttonState;
    private _healthCheckDashboardContext?;
    constructor();
    private _onHealthCheckHandler;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbDashboardHealthCheckOverviewElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-dashboard-health-check-overview': UmbDashboardHealthCheckOverviewElement;
    }
}
